"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
function reducer(state = {}, action) {
    const matches = /(.*)\/(.*)_(START|SUCCESS|FAILURE|CANCEL)/.exec(action.type);
    if (!matches)
        return state;
    const [, , requestName, requestState] = matches;
    if (state[requestName] === constants_1.START && [constants_1.SUCCESS, constants_1.FAILURE, constants_1.CANCEL].includes(requestState)) {
        return Object.assign(Object.assign({}, state), { [requestName]: requestState });
    }
    if (requestState === constants_1.START) {
        return Object.assign(Object.assign({}, state), { [requestName]: constants_1.START });
    }
    return state;
}
exports.default = reducer;
