import { Action, ActionFunctionAny } from 'redux-actions';
export declare type AsyncActionState = 'START' | 'SUCCESS' | 'FAILURE' | 'CANCEL';
export declare type AsyncBaseAction = {
    start: ActionFunctionAny<Action<any>>;
    success: ActionFunctionAny<Action<any>>;
    failure: ActionFunctionAny<Action<any>>;
    cancel: ActionFunctionAny<Action<any>>;
};
export declare type AsyncActionReducer = {
    [actionName: string]: AsyncActionState;
};
